dmokrushin123

Пользователи
  • Публикации

    38
  • Зарегистрирован

  • Посещение

О dmokrushin123

  • Звание
    Продвинутый пользователь

Посетители профиля

223 просмотра профиля
  1. Так и не разобрался как включить настройку для 64 бит чтобы была как для 32 бит, да и интерес пропал долго разбираться ) В итоге создал новый проект и мигрировал из старого все что нужно было - собрал и установил на устройство. Да рабочая конфигурация IOS11 (64)+SDK10+XCode8, в конфигурации как в сообщении выше НЕ ПОШЛО (XCode 9.1 + SDK 11.1 + iOS 11.1 +RAD 10.2.1 (с патчем PAServer и IDE под iOS11) ) . В общем если бы мысль про 64 бита пришла в самом начале, то и вопроса и танцев с бубном не было бы.
  2. Все сертификаты и профили удалил, создал все заново - результат не изменился. Собрал IPA файл и через XCode попробовал поставить и тут по тексту ошибки понял главное - дело в разрядности приложения. Под 64 не сумел изначально собрать приложение по той причине что настройка проекта под 64 не совпадает с 32, в частности там нет параметра идентификатора приложения. В итоге подумал это какая то фича и не стал разбираться. И только сегодня (уже вчера однако) после выяснения основной причины создал тестовое приложение и там увидел что настройки для 32 и 64 совпадают. В общем тестовое приложение под 64 установил на устройство с IOS 11 . С настройками реального приложения под 64 бита будут разбираться уже утром, но это как говорят уже другая история.
  3. Вот под IOS 10 все собиралось и устанавливалось, чем отличается это от IOS 11 вот и весь вопрос. 7 ноября срок смены сертификата подходит, либо подожду как сменят, либо сам озадачусь созданием нового для своего приложения.
  4. Для Delphi 10.2.1 версия PAServer 19 + патч для IOS 11 Для Delphi 10.1.2 версия PAServer 18
  5. На Delphi 10.1.2 другая ошибка, т.е. приложение не собирается в принципе [PAClient Error] Error: E0776 Unable to execute '"/usr/bin/xcrun" -sdk iphoneos PackageApplication -v "/Users/admin/PAServer/scratch-dir/DMOKRUSHIN-my/Project98.app" -o "/Users/admin/PAServer/scratch-dir/DMOKRUSHIN-my/Project98.ipa" -sign "iPhone Distribution: ...." --embed "/Users/admin/Library/MobileDevice/Provisioning Profiles/aac65cc9-ed1e-4c76-8f8b-5388fe27b857.mobileprovision"' (Error 72) [PAClient Error] Error: E0776 xcrun: error: unable to find utility "PackageApplication", not a developer tool or in PATH
  6. Вернулся к варианту IOS11+SDK10+XCODE 8.3.3 - результат нулевой - не устанавливается приложение на устройство [PAClient Error] Error: E4872 Unable to execute '"/Applications/PAServer-19.0.app/Contents/MacOS/iosinstall" -U 0397bb2f976349091627153cc930eb71b17c6614 -q -t 5 -i "/Users/admin/PAServer/scratch-dir/DMOKRUSHIN-my/Project98.ipa"' (Error 1)
  7. ... IOS 11 + SDK 10.2 + XCODE 8.2.1 полет нормальный ... Это на Delphi 10.2.1 ? Если так то дело может быть в сертификатах, хотя смотрел что действуют до 7 ноября. А может дело в карме )) Ну еще у меня хакинтош на виртуалке, работает но очень уж медленно. IMac заказал, но придет из штатов недели через 2-е.
  8. Скачаю и 9.1 до кучи, потом будут эксперементировать.
  9. Не вижу разночтений: устройство с IOS10+XCODE8 нормально, устройство с IOS11+XCODE9 НЕ нормально. Вариант IOS11+XCODE8 у меня не пошел (сейчас уже деталей не вспомню, да и патча для IOS 11 не стояло в тот момент), в связи с чем сразу перешел на вариант IOS11+XCODE9 где приложение собирается но не запускается. Вернусь к варианту IOS11+XCODE8, может после установки патча что изменилось.
  10. Я с этого и начал в самом начале и счастья не наблюдал. Потом уже начались эксперементы с XCode 9. Вернусь назад и "вдруг заработает".
  11. Изначально было приложение на XCode 8 и соответственно SDK 10. На устройстве с IOS 10 все работало, а вот с IOS 11 не запускалось. Тема называется "Сборка приложения для IOS 11", а не вообще проблема со сборкой.
  12. И где тут IOS 11 ?
  13. Как то не понял ответа, SDK скачать отдельно нельзя, не вижу на developer.apple.download. Могу: 1. Переименовываю XCode скажем в XCode9 2. Скачиваю XCode 8.3.3 и устанавливаю (или это не нужно ?) 3. Скачиваю и устанавливаю Command Tools для 8.3 4. Запускаю Xcode 9 и меняю Command Tools
  14. Что значит "Скачивай SDK 10", его что можно отдельно скачать от XCode ? До этого и 8 и 9 версия XCode стояла, но ничего не получилось в итоге. Вот только Patch для IOS 11 вчера поставил, возможно дело и в этом в том числе. Попробую поставить еще раз для эксперемента (архив XCode 8.3.3 есть).
  15. Ну если бы нашел настройку не спрашивал бы. Сейчас в списке при добавлении только одно iOSPhone 11